Update auth user attributes by user ID
put
/ec-auth-svc/rest/v1.0/authusers/{userid}/locale
Updates the user's locale preference for UI and communication. Provide a list of locale attributes for the user. All attributes are fully replaced with the provided list.
Request
Path Parameters
-
userid(required): string(uuid)
UUID of the user for which the locale is to be updated.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
objectKey-value pair for user attribute
Show Source
-
key: string
The attribute key nameExample:
Locale -
value: string
The value of the attributeExample:
en-US
Example:
{
"key":"Locale",
"value":"en-US"
}Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
User locale updated. Returns updated list of user attributes.
Root Schema : schema
Type:
objectKey-value pair for user attribute
Show Source
-
key: string
The attribute key nameExample:
Locale -
value: string
The value of the attributeExample:
en-US
Example:
{
"key":"Locale",
"value":"en-US"
}Examples
400 Response
Bad request. Invalid input data.
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object